Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.action
Class OutputPin

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.action.Pin
                        |
                        +--org.opencyc.uml.action.OutputPin

public class OutputPin
extends Pin

OutputPin from the UML Action package. This class is not completely implemented because procedure bodies are encoded in the surface language java which is interpreted by the dynamic java package, therefore no need to represent and interpret the details of UML Action Semantics.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected org.opencyc.uml.core.Procedure` | `procedure` the procedure that owns this pin as an output

Fields inherited from class org.opencyc.uml.action.Pin
`multiplicity, ORDERED, ordering, type, UNORDERED`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`OutputPin()` Constructs a new OutputPin object.

Method Summary
`org.opencyc.uml.core.Procedure` | `getProcedure()` Gets the procedure that owns this pin as an output.
`void` | `setProcedure(org.opencyc.uml.core.Procedure procedure)` Sets the procedure that owns this pin as an input.

Methods inherited from class org.opencyc.uml.action.Pin
`getMultiplicity, getOrdering, getType, setMultiplicity, setOrdering, setType`

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### procedure

    protected org.opencyc.uml.core.Procedure procedure

  the procedure that owns this pin as an output

Constructor Detail

### OutputPin

    public OutputPin()

  Constructs a new OutputPin object.

Method Detail

### getProcedure

    public org.opencyc.uml.core.Procedure getProcedure()

  Gets the procedure that owns this pin as an output.
  Returns:
    the procedure that owns this pin as an output

### setProcedure

    public void setProcedure(org.opencyc.uml.core.Procedure procedure)

  Sets the procedure that owns this pin as an input.
  Parameters:
    `procedure` - the procedure that owns this pin as an input

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD